Name:           openlmi-tools
Version:        0.10.5
Release:        1%{?dist}
Summary:        Set of CLI tools for Openlmi providers

License:        GPLv2+
URL:            http://fedorahosted.org/openlmi
Source0:        http://fedorahosted.org/released/openlmi-tools/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  automake
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  lmiwbem >= 0.3.1
BuildRequires:  pyOpenSSL
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  openlmi-python-base
BuildRequires:  openwsman-python
# meta command
BuildRequires:  ImageMagick
BuildRequires:  pyparsing
BuildRequires:  python-docopt
Requires:       lmiwbem >= 0.3.1
Requires:       openlmi-python-base
Requires:       pyOpenSSL
Requires:       openwsman-python
# meta command
Requires:       python-docopt >= 0.6.1
Requires:       pyparsing

Provides:       cura-tools = %{version}-%{release}
Obsoletes:      cura-tools < 0.1-4

%description
%{name} is a set of command line tools for Openlmi providers.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation

%description doc
%{summary}

%prep
%setup -q

%build
make
pushd cli
%{__python} setup.py build
popd # cli

pushd doc
make html man
rm build/html/.buildinfo
popd # doc

%install
pushd cli
%{__python} setup.py install --skip-build -O1 --root %{buildroot}
# lmi.scripts is a namespace package - setuptools omits its init module
cp -p lmi/scripts/__init__.* %{buildroot}%{python_sitelib}/lmi/scripts
popd # cli
install -m 755 -d %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 644 README.md %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 644 COPYING %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 755 -d %{buildroot}/%{_mandir}/man1
install -m 755 -d %{buildroot}/%{_docdir}/%{name}-%{version}
install -m 644 doc/build/man/lmishell.1 %{buildroot}/%{_mandir}/man1/lmishell.1
install -m 644 cli/man/lmi.1 %{buildroot}/%{_mandir}/man1/lmi.1
cp -r doc/build/html %{buildroot}/%{_docdir}/%{name}-%{version}

# install meta command's config file
mkdir -p %{buildroot}%{_sysconfdir}/openlmi/scripts
install -m 0644 cli/config/lmi.conf %{buildroot}%{_sysconfdir}/openlmi/scripts

# completion for bash
bash_comp_dir=%{buildroot}/%{_sysconfdir}/bash_completion.d
install -m 755 -d $bash_comp_dir
install -m 644 cli/completion/lmishell.bash $bash_comp_dir
install -m 644 cli/completion/lmi.bash $bash_comp_dir
mkdir -p %{buildroot}/%{_libexecdir}/lmi-bash-completion
install -m 755 cli/completion/lmi-bash-completion/print_possible_commands.sh \
        %{buildroot}%{_libexecdir}/lmi-bash-completion
cp -pr cli/completion/lmi-bash-completion/commands \
        %{buildroot}%{_libexecdir}/lmi-bash-completion

# completion for zsh
zsh_comp_dir=%{buildroot}/%{_datadir}/zsh/site-functions
install -m 755 -d $zsh_comp_dir
install -m 644 cli/completion/_lmishell $zsh_comp_dir

%files
%doc %{_docdir}/%{name}-%{version}/README.md
%doc %{_docdir}/%{name}-%{version}/COPYING
%dir %{_docdir}/%{name}-%{version}
%dir %{_datadir}/zsh/
%dir %{_datadir}/zsh/site-functions/
%dir %{_sysconfdir}/bash_completion.d/
%dir %{_sysconfdir}/openlmi/scripts
%config(noreplace) %{_sysconfdir}/openlmi/scripts/lmi.conf
%attr(755,root,root) %{_bindir}/lmishell
%attr(755,root,root) %{_bindir}/lmi
%{_mandir}/man1/lmishell.1.gz
%{_mandir}/man1/lmi.1.gz
%{_datadir}/zsh/site-functions/_lmishell
%{_sysconfdir}/bash_completion.d/*.bash
%{_libexecdir}/lmi-bash-completion/
%{python_sitelib}/lmi/shell/
%{python_sitelib}/lmi/scripts/
%{python_sitelib}/openlmi_tools-*

%files doc
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/html

%changelog
* Mon Mar 16 2015 Peter Hatina <phatina@redhat.com> - 0.10.5-1
- upgrade to 0.10.5 - bugfix release

* Fri Dec 12 2014 Michal Minar <miminar@redhat.com> - 0.10.4-1
- upgrade to 0.10.4 - bugfix release

* Wed Oct 29 2014 Peter Hatina <phatina@redhat.com> - 0.10.2-1
- upgrade to 0.10.2

* Mon Sep 22 2014 Peter Hatina <phatina@redhat.com> - 0.10.1-3
- fix signal handling

* Wed Sep  3 2014 Peter Hatina <phatina@redhat.com> - 0.10.1-2
- fix non-interactive formatter

* Mon Sep  1 2014 Peter Hatina <phatina@redhat.com> - 0.10.1-1
- upgrate to 0.10.1

* Wed Jul 16 2014 Peter Hatina <phatina@redhat.com> - 0.9.2-2
- fix unset logging handlers

* Mon Jun 30 2014 Peter Hatina <phatina@redhat.com> - 0.9.2-1
- upgrade to 0.9.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Peter Hatina <phatina@redhat.com> - 0.9.1-3
- fix cache inconsistency

* Mon Apr 28 2014 Peter Hatina <phatina@redhat.com> - 0.9.1-2
- improve caching

* Wed Apr 16 2014 Peter Hatina <phatina@redhat.com> - 0.9.1-1
- upgrade to 0.9.1
- lmi meta-command added

* Thu Dec 19 2013 Peter Hatina <phatina@redhat.com> - 0.9-16
- fix BuildRequires, Requires pywbem versions

* Wed Dec 18 2013 Peter Hatina <phatina@redhat.com> - 0.9-15
- drop certificate verification callback; all the checks are
  done in pywbem

* Mon Dec  9 2013 Peter Hatina <phatina@redhat.com> - 0.9-14
- simplify indication subscription

* Mon Dec  9 2013 Peter Hatina <phatina@redhat.com> - 0.9-13
- fix documentation version

* Mon Dec  9 2013 Peter Hatina <phatina@redhat.com> - 0.9-12
- update documentation

* Fri Dec  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-11
- fix indication unique name

* Fri Dec  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-10
- fix blocking timeout when receiving indication

* Wed Dec  4 2013 Peter Hatina <phatina@redhat.com> - 0.9-9
- fix compulsory call order of LMIIndicationListener methods

* Tue Dec  3 2013 Peter Hatina <phatina@redhat.com> - 0.9-8
- fix interactive connect when run with -i

* Tue Dec  3 2013 Peter Hatina <phatina@redhat.com> - 0.9-7
- unify LMIShell naming

* Mon Dec  2 2013 Peter Hatina <phatina@redhat.com> - 0.9-6
- fix missing log messages in connect()

* Wed Nov 20 2013 Peter Hatina <phatina@redhat.com> - 0.9-5
- fix passing method params

* Wed Nov 20 2013 Peter Hatina <phatina@redhat.com> - 0.9-4
- fix instance comparision

* Wed Nov  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-3
- fix passing instance references to method call

* Wed Nov  6 2013 Peter Hatina <phatina@redhat.com> - 0.9-2
- fix instance deletion

* Mon Nov  4 2013 Peter Hatina <phatina@redhat.com> - 0.9-1
- upgrade to v0.9

* Wed Oct 23 2013 Peter Hatina <phatina@redhat.com> - 0.8-1
- upgrade to v0.8

* Mon Aug 12 2013 Peter Hatina <phatina@redhat.com> - 0.7-1
- upgrade to v0.7

* Wed Jul 31 2013 Peter Hatina <phatina@redhat.com> - 0.6-1
- upgrade to v0.6

* Mon Apr 29 2013 Peter Hatina <phatina@redhat.com> - 0.5-3
- remove sample scripts from the package

* Wed Feb 20 2013 Peter Hatina <phatina@redhat.com> - 0.5-2
- fix namespace handling

* Tue Feb 19 2013 Peter Hatina <phatina@redhat.com> - 0.5-1
- upgrade to v0.5

* Fri Feb 15 2013 Peter Hatina <phatina@redhat.com> - 0.4-1
- upgrade to v0.4

* Wed Feb 06 2013 Peter Hatina <phatina@redhat.com> - 0.3-1
- upgrade to v0.3

* Mon Nov 19 2012 Peter Hatina <phatina@redhat.com> - 0.2-1
- upgrade to v0.2

* Thu Oct 25 2012 Peter Hatina <phatina@redhat.com> - 0.1-5
- added python2-devel into BuildRequires

* Thu Oct 25 2012 Peter Hatina <phatina@redhat.com> - 0.1-4
- package renamed to openlmi-tools

* Sun Oct 07 2012 Peter Hatina <phatina@redhat.com> - 0.1-3
- added pywbem into Requires

* Sun Oct 07 2012 Peter Hatina <phatina@redhat.com> - 0.1-2
- removed python2 dependency
- fixed python_sitelib/fmci ownership
- fixed BuildRequires

* Sun Oct 07 2012 Peter Hatina <phatina@redhat.com> - 0.1-1
- initial import
